Cupti: CUpti_ActivityOpenAccLaunch Struct Reference

# CUpti_ActivityOpenAccLaunch Struct Reference
[CUPTI Activity API]

The activity record for OpenACC launch. More...

## Data Fields
uint64_t | async
uint64_t | asyncMap
uint32_t | cuContextId
uint32_t | cuDeviceId
uint32_t | cuProcessId
uint32_t | cuStreamId
uint32_t | cuThreadId
uint32_t | deviceNumber
uint32_t | deviceType
uint64_t | end
uint32_t | endLineNo
CUpti_OpenAccEventKind | eventKind
uint32_t | externalId
uint32_t | funcEndLineNo
uint32_t | funcLineNo
const char * | funcName
uint32_t | implicit
const char * | kernelName
CUpti_ActivityKind | kind
uint32_t | lineNo
uint64_t | numGangs
uint64_t | numWorkers
uint32_t | pad1
CUpti_OpenAccConstructKind | parentConstruct
const char * | srcFile
uint64_t | start
uint32_t | threadId
uint64_t | vectorLength
uint32_t | version

## Detailed Description

(CUPTI_ACTIVITY_KIND_OPENACC_LAUNCH).

## Field Documentation

uint64_t CUpti_ActivityOpenAccLaunch::async

Value of async() clause of the corresponding directive

uint64_t CUpti_ActivityOpenAccLaunch::asyncMap

Internal asynchronous queue number used

uint32_t CUpti_ActivityOpenAccLaunch::cuContextId

CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccLaunch::cuDeviceId

CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccLaunch::cuProcessId

The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccLaunch::cuStreamId

CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccLaunch::cuThreadId

The ID of the thread where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccLaunch::deviceNumber

Device number

uint32_t CUpti_ActivityOpenAccLaunch::deviceType

Device type

uint64_t CUpti_ActivityOpenAccLaunch::end

CUPTI end timestamp

uint32_t CUpti_ActivityOpenAccLaunch::endLineNo

For an OpenACC construct, this contains the line number of the end of the construct. A negative or zero value means the line number is not known.

CUpti_OpenAccEventKind CUpti_ActivityOpenAccLaunch::eventKind

CUPTI OpenACC event kind (

See also:
  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAccLaunch::externalId

The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

uint32_t CUpti_ActivityOpenAccLaunch::funcEndLineNo

The last line number of the function named in func_name. A negative or zero value means the line number is not known.

uint32_t CUpti_ActivityOpenAccLaunch::funcLineNo

The line number of the first line of the function named in func_name. A negative or zero value means the line number is not known.

const char* CUpti_ActivityOpenAccLaunch::funcName

A pointer to a null-terminated string containing the name of the function in which the event occurred.

uint32_t CUpti_ActivityOpenAccLaunch::implicit

1 for any implicit event, such as an implicit wait at a synchronous data construct 0 otherwise

const char* CUpti_ActivityOpenAccLaunch::kernelName

A pointer to null-terminated string containing the name of the kernel being launched, if known, or a null pointer if not.

CUpti_ActivityKind CUpti_ActivityOpenAccLaunch::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_OPENACC_LAUNCH.

uint32_t CUpti_ActivityOpenAccLaunch::lineNo

The line number of the directive or program construct or the starting line number of the OpenACC construct corresponding to the event. A negative or zero value means the line number is not known.

uint64_t CUpti_ActivityOpenAccLaunch::numGangs

The number of gangs created for this kernel launch

uint64_t CUpti_ActivityOpenAccLaunch::numWorkers

The number of workers created for this kernel launch

uint32_t CUpti_ActivityOpenAccLaunch::pad1

Undefined. Reserved for internal use.

CUpti_OpenAccConstructKind CUpti_ActivityOpenAccLaunch::parentConstruct

CUPTI OpenACC parent construct kind (

See also:
  CUpti_OpenAccConstructKind)

Note that for applications using PGI OpenACC runtime < 16.1, this will always be CUPTI_OPENACC_CONSTRUCT_KIND_UNKNOWN.

const char* CUpti_ActivityOpenAccLaunch::srcFile

A pointer to null-terminated string containing the name of or path to the source file, if known, or a null pointer if not.

uint64_t CUpti_ActivityOpenAccLaunch::start

CUPTI start timestamp

uint32_t CUpti_ActivityOpenAccLaunch::threadId

ThreadId

uint64_t CUpti_ActivityOpenAccLaunch::vectorLength

The number of vector lanes created for this kernel launch

uint32_t CUpti_ActivityOpenAccLaunch::version

Version number